GRPCK(8)

NOM
grpck - Vérifier l'intégrité des fichiers d'administration des groupes

SYNOPSIS

grpck [options] [groupe [ shadow ]]

DESCRIPTION

La commande grpck vérifie l'intégrité des informations sur les groupes du système. Toutes les entrées de /etc/group et /etc/gshadow sont vérifiées afin de s'assurer qu'elles ont le bon format et qu'elles contiennent des données valables dans chaque champ. Une confirmation de l'utilisateur sera demandée pour détruire les entrées mal formatées ou ayant d'autres erreurs non récupérables.

Voici les vérifications effectuées :

    • nombre correct de champs ;

    • unicité et validité des noms de groupe ;

    • validité des identifiants de groupe (seulement /etc/group) ;

    • validité de la liste de membres et d'administrateurs ;

    • correspondance d'entrée dans le fichier /etc/gshadow (respectivement /etc/group pour les vérifications de gshadow).

Une erreur dans le nombre de champs ou la non unicité d'un nom de groupe sera fatale. Si le nombre de champs n'est pas correct, il sera demandé à l'utilisateur de supprimer la ligne. Si l'utilisateur ne répond pas par l'affirmative, les vérifications suivantes ne seront pas effectuées. Il sera également demandé de supprimer les entrées correspondant aux noms de groupe redondants, mais dans ce cas, les autres vérifications seront effectuées. Toutes les autres erreurs ne sont que des avertissements et l'utilisateur est encouragé à utiliser groupmod pour les corriger.

Les commandes qui opèrent sur les fichiers /etc/group et /etc/gshadow ne peuvent pas modifier les entrées corrompues ou redondantes. grpck doit être utilisée dans ce cas pour supprimer ces entrées.

OPTIONS

Les options -r et -s ne peuvent pas être combinées.

Les options disponibles pour la commande grpck sont :

-h, --help
    Afficher un message d'aide et quitter.

-r, --read-only
    Exécute la commande grpck en mode lecture seule. Cela signifie qu'à toutes les questions concernant des modifications il sera répondu no sans l'intervention de l'utilisateur.

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-s, --sort
    Trie les entrées de /etc/group et /etc/gshadow par GID.

By default, grpck operates on /etc/group and /etc/gshadow. The user may select alternate files with the group and shadow parameters.

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de configurer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

VALEURS DE RETOUR

La commande grpck renvoie les valeurs suivantes en quittant :

0
    succès

1
    erreur de syntaxe

2
    une entrée de groupe ou plus est incorrecte

3
    impossible d'ouvrir les fichiers group

4
    impossible de verrouiller les fichiers group

5
    impossible de mettre à jour les fichiers group

VOIR AUSSI

group(5), groupmod(8), gshadow(5),passwd(5), pwck(8), shadow(5).